Subject: bug#70258: closed (Re: bug#70258: FreeCAD dependency probably outdated)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 15 May 2024 12:21:03 +0000

Your bug report

#70258: FreeCAD dependency probably outdated

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
70258: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=70258
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#70258: FreeCAD dependency probably outdated
From: Guillaume Le Vaillant <[email-masked]>
To: [email-masked]
Date: Wed, 15 May 2024 12:20:40 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Fixed by <https://issues.guix.gnu.org/70957>.

Subject: FreeCAD dependency probably outdated
From: Buttons Presser <[email-masked]>
To: [email-masked]
Date: Sun, 07 Apr 2024 13:54:55 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Dear Guix people,

I have checked FreeCAD on several machines and get the same error.

To reproduce:
- guix install freecad
- Open FreeCAD
- Create new document
- Select 'Draft' workbench

This produces an error:

  '<built-in function SoFieldContainer_getField> returned a result with an exception set'

The backtrace and also as some forums suggest (e.g., https://forum.freecad.org/viewtopic.php?t=74156) that the issue is the outdated 'python-pivy'. The dependency version in python-xyz.scm is 0.6.5 released Jan 12, 2020 where latest release 0.6.8 is from Aug 25, 2022.

I have tried to build newer version of 'python-pivy' but I hit some errors that I do not understand how to fix. The errors from build log among other things tell that it 'Could not find a package configuration file provided by "Qt5Core" with any of the following names: Qt5CoreConfig.cmake qt5core-config.cmake'.

Could somebody with more knowledge about building freecad help or give some suggestions how can I define latest 'python-pivy' (assuming the outdated package causes the 'Draft' workbench crash).

guix describe:

  guix 1dbe492
    repository URL: https://git.savannah.gnu.org/git/guix.git
    branch: master
    commit: 1dbe492b993a7629df3b35146ce0272b52913776